| Flutter Impeller |

Public Member Functions | List of all members
impeller::StrokePathGeometry Class Referencefinal

A geometry that is created from a stroked path object. More...

`#include <stroke_path_geometry.h>`

Inheritance diagram for impeller::StrokePathGeometry:

## Public Member Functions
| StrokePathGeometry (Path path, Scalar stroke_width, Scalar miter_limit, Cap stroke_cap, Join stroke_join)
| ~StrokePathGeometry ()
Scalar | GetStrokeWidth () const
Scalar | GetMiterLimit () const
Cap | GetStrokeCap () const
Join | GetStrokeJoin () const
Public Member Functions inherited from impeller::Geometry
virtual bool | CoversArea (const Matrix &transform, const Rect &rect) const
| Determines if this geometry, transformed by the given `transform`, will completely cover all surface area of the given `rect`. More...
virtual bool | IsAxisAlignedRect () const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::Geometry
static std::shared_ptr< Geometry > | MakeFillPath (Path path, std::optional< Rect > inner_rect=std::nullopt)
static std::shared_ptr< Geometry > | MakeStrokePath (Path path, Scalar stroke_width=0.0, Scalar miter_limit=4.0, Cap stroke_cap=Cap::kButt, Join stroke_join=Join::kMiter)
static std::shared_ptr< Geometry > | MakeCover ()
static std::shared_ptr< Geometry > | MakeRect (const Rect &rect)
static std::shared_ptr< Geometry > | MakeOval (const Rect &rect)
static std::shared_ptr< Geometry > | MakeLine (const Point &p0, const Point &p1, Scalar width, Cap cap)
static std::shared_ptr< Geometry > | MakeCircle (const Point &center, Scalar radius)
static std::shared_ptr< Geometry > | MakeStrokedCircle (const Point &center, Scalar radius, Scalar stroke_width)
static std::shared_ptr< Geometry > | MakeRoundRect (const Rect &rect, const Size &radii)
static std::shared_ptr< Geometry > | MakePointField (std::vector< Point > points, Scalar radius, bool round)
Static Protected Member Functions inherited from impeller::Geometry
static GeometryResult | ComputePositionGeometry (const Tessellator::VertexGenerator &generator, const Entity &entity, RenderPass &pass)
static GeometryResult | ComputePositionUVGeometry (const Tessellator::VertexGenerator &generator, const Matrix &uv_transform, const Entity &entity, RenderPass &pass)

## Detailed Description

A geometry that is created from a stroked path object.

Definition at line 13 of file stroke_path_geometry.h.

## Constructor & Destructor Documentation

## ◆ StrokePathGeometry()

impeller::StrokePathGeometry::StrokePathGeometry | ( | Path | path,
|  | Scalar | stroke_width,
|  | Scalar | miter_limit,
|  | Cap | stroke_cap,
|  | Join | stroke_join
| ) |  |

Definition at line 11 of file stroke_path_geometry.cc.

16 : path_(std::move(path)),
17 stroke_width_(stroke_width),
18 miter_limit_(miter_limit),
19 stroke_cap_(stroke_cap),
20 stroke_join_(stroke_join) {}

## ◆ ~StrokePathGeometry()

impeller::StrokePathGeometry::~StrokePathGeometry | ( |  | ) |
| default

## Member Function Documentation

## ◆ GetMiterLimit()

Scalar impeller::StrokePathGeometry::GetMiterLimit | ( |  | ) | const

Definition at line 28 of file stroke_path_geometry.cc.

28 {
29 return miter_limit_;
30 }

## ◆ GetStrokeCap()

Cap impeller::StrokePathGeometry::GetStrokeCap | ( |  | ) | const

Definition at line 32 of file stroke_path_geometry.cc.

32 {
33 return stroke_cap_;
34 }

## ◆ GetStrokeJoin()

Join impeller::StrokePathGeometry::GetStrokeJoin | ( |  | ) | const

Definition at line 36 of file stroke_path_geometry.cc.

36 {
37 return stroke_join_;
38 }

## ◆ GetStrokeWidth()

Scalar impeller::StrokePathGeometry::GetStrokeWidth | ( |  | ) | const

Definition at line 24 of file stroke_path_geometry.cc.

24 {
25 return stroke_width_;
26 }

The documentation for this class was generated from the following files:

- impeller/entity/geometry/stroke_path_geometry.h
- impeller/entity/geometry/stroke_path_geometry.cc